Class HttpResponseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.hypixel.hytale.server.core.auth.HttpResponseException
All Implemented Interfaces:
Serializable

public class HttpResponseException extends IOException
Thrown when an HTTP request receives an error status code. Carries the status code and response body for diagnostic purposes.
See Also:
  • Constructor Details

    • HttpResponseException

      public HttpResponseException(int statusCode, String responseBody)
  • Method Details

    • getStatusCode

      public int getStatusCode()
    • getResponseBody

      public String getResponseBody()